# Package relaxngcc.javabody

- Interface Summary
  Interface | Description
  --- | ---
  JavaBodyParserConstants | Token literal values and constants.

- Class Summary
  Class | Description
  --- | ---
  JavaBodyParser | Parses Java code fragment inside <cc:java-body> and records all field declarations.
  JavaBodyParserTokenManager | Token Manager.
  SimpleCharStream | An implementation of interface CharStream, where the stream is assumed to contain only ASCII characters (without unicode processing).
  Token | Describes the input token stream.

- Exception Summary
  Exception | Description
  --- | ---
  ParseException | This exception is thrown when parse errors are encountered.

- Error Summary
  Error | Description
  --- | ---
  TokenMgrError | Token Manager Error.